﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

/* Created by Jan Kobersky - 3/9/2016 6:52:02 PM */
namespace mvvm.Code
{
    public class ApiService
    {
        private HttpClient _client = new HttpClient();
        private const string BASE_URL = "http://kobersky.eu/muni/api.php";

        public async Task<string> GetToken()
        {
            try
            {
                return await _client.GetStringAsync(BASE_URL + "?action=token");
            }
            catch
            {
                Debug.WriteLine("cannot retrieve");
                return "";
            }
        }

        public async Task<bool> Send(string token, string text)
        {
            try
            {
                return await _client.GetStringAsync(BASE_URL + $"?action=set&token={token}&text={text}") == "true";
            }
            catch
            {
                Debug.WriteLine("cannot retrieve");
                return false;
            }
        }
    }
}
