﻿using mvvm.Code;
using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Controls;

/* Created by Jan Kobersky - 3/9/2016 7:07:38 PM */
namespace mvvm.ViewModels
{
    [ImplementPropertyChanged] // Fody weaver - autoamticky pri kompilaci implementuje do kodu INotifyPropertyChanged interface a vola jej pro kazdou property
    public class TextViewModel
    {
        public string Text { get; set; } // binding pro text, ktery se bude posilat skrze API
        public SimpleActionCommand SendAction { get; } // ovladani tlacitka pro odeslani textu
        public string Token { get; set; } // Token pro API - tento token je nastaven pri navigaci

        private ApiService _api = new ApiService();
        private Frame _frame; // Frame obsahuje navigaci

        public TextViewModel(Frame frame)
        {
            _frame = frame;
            SendAction = new SimpleActionCommand(Send);
            SendAction.CanAction = true;
        }

        private async void Send()
        {
            if (await _api.Send(Token, Text))
            {
                _frame.GoBack();
            }
        }
    }
}
