﻿using mvvm.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace mvvm.Views
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class TextView : Page
    {
        private TextViewModel _viewModel;

        public TextView()
        {
            this.InitializeComponent();

            _viewModel = new TextViewModel(Window.Current.Content as Frame);
            // datacontext je property kterou ma kazda komponenta a slouzi jako zdroj dat pro binding
            // datacontext je deden automaticky svym potomkum, pokud si nespecifikuji svuj vlastni
            DataContext = _viewModel;
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            // pokud je predany parameter string, nastavime jej do tokenu. Pokud neni string, fallback na prazdny string
            _viewModel.Token = e.Parameter as string ?? "";
        }
    }
}
